#!/bin/bash

ACTION=$1
PASS=$2

if [ -z "$PASS" ]; then
   echo -n Password: 
   read -s PASS
fi

# default values for AP ip (they will be computed in a future release)
AP_START=211
AP_END=254
NET=10.1.0

for i in $(seq $AP_START $AP_END); do
   AP=$NET.$i
   if ping -c1 -W1 $AP; then
      case $ACTION in
        start)
	   sshpass -p "$PASS" ssh admin@$AP no dot11a-radio-disable
	   sshpass -p "$PASS" ssh admin@$AP no dot11a-radio-disable
	   ;;
	stop)
	   sshpass -p "$PASS" ssh admin@$AP dot11a-radio-disable
	   sshpass -p "$PASS" ssh admin@$AP dot11a-radio-disable
	   ;;
	*)
	  echo "Usage: ap-disable.sh start|stop" 
	  exit 1
	  ;;
      esac
   fi
done
