#!/bin/bash

usage () {
    echo "Usage: ./setgroupquota.sh group softblockquota hardblockquota [mountpoint]"
}

if ! [ $# -eq 3 -o $# -eq 4 ]; then
   usage
   exit 1
fi

if [ -z "$4" ]; then
   MOUNTPOINT=/home
else
   MOUNTPOINT=$4
fi

for i in $(members $1); do
   quotatool -b -q $2 -l $3 -u $i $MOUNTPOINT
done
